	.global	OSStartHighRdy
	.global	OSCtxSw
	.global	OSIntCtxSw
	.global	OS_CPU_PendSVHandler
	
	.extern	OSRunning
	.extern	OSPrioCur
	.extern	OSPrioHighRdy
	.extern	OSTCBCurPtr
	.extern	OSTCBHighRdyPtr
	.extern	OSIntExit
	.extern	OSTaskSwHook
	.extern	OS_CPU_ExceptStkBase

.equ NVIC_INT_CTRL,	0xE000ED04
.equ NVIC_SYSPRI14,	0xE000ED22
.equ NVIC_PENDSV_PRI,	0xFF
.equ NVIC_PENDSVSET,	0x10000000





	.align 2
	.text
	.thumb
        .syntax unified
	.section ".code","a"
	
	//PRESERVE8
    //THUMB
    //AREA CODE, CODE, READONLY
	
.thumb_func
OSStartHighRdy:
		LDR	R0,	=NVIC_SYSPRI14
		LDR	R1,	=NVIC_PENDSV_PRI
		STRB	R1,	[R0]
		
		MOVS	R0,	#0
		MSR		PSP, R0
		
		LDR		R0, =OS_CPU_ExceptStkBase
		LDR		R1,	[R0]
		MSR		MSP, R1
		
		LDR		R0,	=NVIC_INT_CTRL
		LDR		R1,	=NVIC_PENDSVSET
		STR		R1,	[R0]
		
		CPSIE	I
.thumb_func		
OSStartHang:
		B		OSStartHang
		
.thumb_func
OSCtxSw:
		LDR		R0, =NVIC_INT_CTRL
		LDR		R1, =NVIC_PENDSVSET
		STR		R1,	[R0]
		BX		LR
		
.thumb_func		
OSIntCtxSw:
		LDR		R0, =NVIC_INT_CTRL
		LDR		R1, =NVIC_PENDSVSET
		STR		R1, [R0]
		BX		LR
		
.thumb_func		
OS_CPU_PendSVHandler:
		CPSID	I
		MRS		R0, PSP
		CBZ		R0, OS_CPU_PendSVHandler_nosave
		
		SUBS	R0,	R0,	#0x20
		STM		R0,	{R4-R11}
		
		LDR		R1, =OSTCBCurPtr
		LDR		R1,	[R1]
		STR		R0, [R1]
		
.thumb_func
OS_CPU_PendSVHandler_nosave:
		PUSH	{R14}
		LDR		R0, =OSTaskSwHook
		BLX		R0
		POP		{R14}
		
		LDR		R0, =OSPrioCur
		LDR		R1, =OSPrioHighRdy
		LDRB	R2, [R1]
		STRB	R2, [R0]
		
		LDR		R0, =OSTCBCurPtr
		LDR		R1, =OSTCBHighRdyPtr
		LDR		R2,	[R1]
		STR		R2, [R0]
		
		LDR		R0,	[R2]
		LDM		R0, {R4-R11}
		ADDS	R0, R0, #0x20
		MSR		PSP, R0
		ORR		LR, LR, #0x04
		CPSIE	I
		BX		LR
		
		.end
		
