/*
*********************************************************************************************************
*                                              EXAMPLE CODE
*
*                             (c) Copyright 2009; Micrium, Inc.; Weston, FL
*
*               All rights reserved.  Protected by international copyright laws.
*               Knowledge of the source code may NOT be used to develop a similar product.
*               Please help us continue to provide the Embedded community with the finest
*               software available.  Your honesty is greatly appreciated.
*********************************************************************************************************
*/

/*
*********************************************************************************************************
*
*                                            EXAMPLE CODE
*                                    KEIL MCB1700 DEVELOPMENT KIT                                    
*
* Filename      : app.c
* Version       : V1.00
* Programmer(s) : FT                  
*********************************************************************************************************
*/

/*
*********************************************************************************************************
*                                             INCLUDE FILES
*********************************************************************************************************
*/

#include  <cpu.h>


/*
*********************************************************************************************************
*                                            LOCAL TABLES
*********************************************************************************************************
*/


const  CPU_CHAR  RTTTL_File[] = {
    ";"
    "Indian Jones:d=4,o=5,b=250:32p,e5,8p,8f5,8g5,8p,1c6,8p,d5,8p,8e5,1f5,p,g5,8p,8a5,8b"
    "5,8p,1f6,p,a5,8p,8b5,2c6,2d6,2e6,e5,8p,8f5,8g5,8p,1c6,p,d6,8p,8e6,1f5;"

    "Take On Me:d=4,o=4,b=160:8f#5,8f#5,8f#5,8d5,8p,8b,8p,8e5,8p,8e5,8p,8e5,8g#5,8g#5,"
    "8a5,8b5,8a5,8a5,8a5,8e5,8p,8d5,8p,8f#5,8p,8f#5,8p,8f#5,8e5,8e5,8f#5,8e5,8f#5,8f#5,"
    "8f#5,8d5,8p,8b,8p,8e5,8p,8e5,8p,8e5,8g#5,8g#5,8a5,8b5,8a5,8a5,8a5,8e5,8p,8d5,8p,"
    "8f#5,8p,8f#5,8p,8f#5,8e5,8e5;"

    "90210:d=4,o=5,b=140:8f,8a#,8c6,d.6,2d6,p,8f,8a#,8c6,8d6,8d#6,f6,f.6,2a#.,8f,8a#,"
    "8c6,8d6,8d#6,8f6,8g6,f6,8d#6,d#6,d6,2c.6,8a#,a,a#.,g6,8f6,8d#6,8d6,8d#6,8d6,8a#,f;"

    "Addams Family:d=4,o=5,b=160:8c,f,8a,f,8c,b4,2g,8f,e,8g,e,8e4,a4,2f,8c,f,8a,f,8c,b4,2g,"
    "8f,e,8c,d,8e,1f,8c,8d,8e,8f,1p,8d,8e,8f#,8g,1p,8d,8e,8f#,8g,p,8d,8e,8f#,8g,p,8c,"
    "8d,8e,8f;"

    "We Are the Champions:d=4,o=5,b=80:2d,8c#,8d,c#,a4,8f#4,b4,2f#4,8a4,2d,8e,8f#,a,f#,8d,2"
    "b4,b4,a4,8b4,a4,g4,g4,f#,8g,f#,e,f#,d,8g,f#,d,8g,f,d,8g,f,2d;"

    "Bohemian Rhapsody:d=4,o=5,b=80:2d6,8a#,8c6,16d6,2d6,8d6,8d#6,16f6,8d#6,8d6,c.6,16c6,"
    "16d6,8d#6,16f6,8d#6,16d6,2c6,8d6,d6,8p,16c6,16a#,16c6,8d.6,8p,8f6,8a.6,2g6,"
    "16f#6,16g6,8a#6,16a#6,8a#.6,16a6,8a#6,8g6,8d#6,2c6;"
                  
    "With Or Without You:d=4,o=5,b=140:8f,8f,8f,g,1a,8p,8g,g,c6,a#,a,g,f,8p,8f,g,1a,p,"
    "8p,8g.,g,8a.,g.,2f;"

    "MarioWorld:d=4,o=5,b=125:a,8f.,16c,16d,16f,16p,f,16d,16c,16p,16f,16p,16f,16"
    "p,8c6,8a.,g,16c,a,8f.,16c,16d,16f,16p,f,16d,16c,16p,16f,16p,16a#,16a,16g,2f"
    ",16p,8a.,8f.,8c,8a.,f,16g#,16f,16c,16p,8g#.,2g,8a.,8f.,8c,8a.,f,16g#,16f,8c"
    ",2c6;"

    "SuperMan:d=4,o=5,b=180:32p,8g,8g,8g,c6,8c6,2g6,8p,8g6,8a.6,16g6,8f6,1g6,8p,"
    "8g,8g,8g,c6,8c6,2g6,8p,8g6,8a.6,16g6,8f6,8a6,2g.6,p,8c6,8c6,8c6,2b.6,g.6,8c"
    "6,8c6,8c6,2b.6,g.6,8c6,8c6,8c6,8b6,8a6,8b6,2c7,8c6,8c6,8c6,8c6,8c6,2c.6;"

    "Popeye:d=32,o=5,b=225:8g#,p,4g#,p,8g#,p,4f#,p,4f,p,2g#,8p,4g#,p,8a#,p,4f#,p"
    ",8a#,p,4c#6,p,4a#,p,2g#,8p,4g#,p,8a#,p,4f#,p,8a#,p,4c#6,p,4a#,p,8g#,p,4g#,p"
    ",8g#,p,4f,p,4c#,p,8g#,p,4g#,p,8g#,p,4f#,p,4f,p,2c#;"

    "Simpsons:d=4,o=5,b=160:c6,e6,f#6,8a6,g.6,e6,c6,8a,8f#,8f#,8f#,2g,p,8f#,8f#,"
    "8f#,8g,a#,8c6,8c6,8c6,c6;"

    "Itchy:d=8,o=6,b=125:32p,c,a5,4p,c,a,4p,c,a5,c,a5,c,a,4p,c,d,e,p,e,f,g,4p,d,"
    "c,4d,f,4a#,4a,2c7;"

    "NBA:d=16,o=5,b=225:4f,4p,4c,4p,4d,4p,4e,4p,4f,4p,4c,4p,4d,4p,4e,4p,4f,4p,4c"
    ",4p,4d,4p,4e,4p,8f#,4p,4p,4g,4c6,4e6,4g6,4e6,8g6,4p,4g#,4c#6,4f6,4g#6,4f6,8"
    "g#6;"

    "We Will Rock You:d=4,o=6,b=100:f5,e5,d5,c5,8d5,8d5,p,8d5,8d5,p,f5,e5,d5,c5,8d5,8d5"
    ",p,8d5,8d5;"

    "The Scientist:d=4,o=5,b=80:8f,8g,8f,c6,a,8f,8g,8f,c6,a,8f,8g,8f,a,8a,8a,8a,a,8"
    "g,2f,f6,8d6,8c6,f6,8d6,8c6,f6,8d6,2c6,8a,8c6,8c6,8a,d6,8a,8a,8a,8g,8f,2e,8a"
    "#,8a#,8a#,8a#,8a#,8a#,8a#,16a,f;"

    "Clocks:d=8,o=5,b=140:d#6,a#,g,d#6,a#,g,d#6,a#,c#6,a#,f,c#6,a#,f,c#6,a#,c#6,a#"
    ",f,c#6,a#,f,c#6,a#,c6,g#,f,c6,g#,f,c6,g#,d#6,a#,g,d#6,a#,g,d#6,a#,c#6,a#,f,"
    "c#6,a#,f,c#6,a#,c#6,a#,f,c#6,a#,f,c#6,a#,c6,g#,f,c6,g#,f,c6,g#;"
        
    "Mission Impossible:d=4,o=6,b=100:32d,32d#,32d,32d#,32d,32d#,32d,32d#,32d,32d,32d#,32e,"
    "32f,32f#,32g,16g,8p,16g,8p,16a#,16p,16c,16p,16g,8p,16g,8p,16f,16p,16f#,16p,"
    "16g,8p,16g,8p,16a#,16p,16c,16p,16g,8p,16g,8p,16f,16p,16f#,16p,16a#,16g,2d,"
    "2p,16a#,16g,2c#,32p,16a#,16g,2c,16p,16a#5,16c;"

    "Faith:d=4,o=5,b=112:16g,16g,16a,16c6,16c6,16a,8e6,2p,8e6,8d6,8c6,8d6,16e6,8"
    "d6,16c6,8c6,8p,8e6,8d6,8c6,8d6,16e6,8d6,16c6,8c6,8p,16c6,16a,16c6,16a,8c6,8"
    "c6,16a,8g;"
        
    "Dancing Queen:d=4,o=5,b=112:2c#.6,b,2d.6,16c#6,8b,16a,8b.,8c#.6,c#.6,16a6,8a.6"
    ",16g#6,8g#.6,16f#6,2f#.6,2c#.6,b,2d.6,16c#6,8b,16a,8b.,8c#.6,c#.6,b,2a.;"                

    "Macarena:d=4,o=5,b=180:f6,8f6,8f6,f6,8f6,8f6,8f6,8f6,8f6,8f6,8f6,8a6,8c6,8c"
    "6,f6,8f6,8f6,f6,8f6,8f6,8f6,8f6,8f6,8f6,8d6,8c6,p,f6,8f6,8f6,f6,8f6,8f6,8f6"
    ",8f6,8f6,8f6,8f6,8a6,p,2c.7,a6,8c7,8a6,8f6,p,2p;"

    "Eye of the Tiger:d=4,o=5,b=112:8d,8e,8f,8p,8f,16f,8f,16p,8e,8d,8c,8c,8d,8e,8d,8p,"
    "8d,8e,8f,16p,32p,8e,8f,8g,16p,32p,8f,16p,32a,8p,16p,2a,p,8d,16c,8d,16p,8c;"

    "Oscilloscope Test:d=8,o=5,b=60:32a,16p,32d#,16p,32f,16p,"
    "32a,16p,32d#,16p,32f,16p,"
    "32a,16p,32d#,16p,32f,16p,"
    "32a,16p,32d#,16p,32f,16p,"
    "32a,16p,32d#,16p,32f,16p,"
    "32a,16p,32d#,16p,32f,16p,"
    "32a,16p,32d#,16p,32f,16p,"
    "32a,16p,32d#,16p,32f,16p,"
    "32a,16p,32d#,16p,32f,16p,"
    "32a,16p,32d#,16p,32f,16p,"
    "32a,16p,32d#,16p,32f,16p,"
    "32a,16p,32d#,16p,32f,16p,"
    "32a,16p,32d#,16p,32f,16p"
        
};
